#### Previous topic

scipy.cluster.hierarchy.correspond

#### Next topic

scipy.cluster.hierarchy.set_link_color_palette

# scipy.cluster.hierarchy.num_obs_linkage

`scipy.cluster.hierarchy.``num_obs_linkage`(Z)

  Returns the number of original observations of the linkage matrix passed.

  Parameters:

  Z : ndarray

  > The linkage matrix on which to perform the operation.

  Returns:

  n : int

  > The number of original observations in the linkage.